cache:
  key: "$CI_COMMIT_REF_SLUG"
  paths:
    - node_modules/

default:
  image: registry.gitlab.com/pmunoz.tl/images/angular:latest
  before_script:
    - 'npm install'

stages:
  - validate
  - test
  - build

code_quality:
  stage: validate
  script:
    - 'npm run lint'

unit_tests:
  stage: test
  script:
    - 'npm run test:cov'
  coverage: /All files[^|]*\|[^|]*\s+([\d\.]+)/

packaging:
  stage: build
  only:
    - master
  script:
    - 'npm run build'
    - 'mkdir installers && cp -r dist/web installers/app'
  artifacts:
    paths:
      - installers/app/
